Not all file types and mime types get populated on install/upgrade

Bug #1647885 reported by Dmitrii Metelkin on 2016-12-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Dmitrii Metelkin
15.10
High
Dmitrii Metelkin
16.04
High
Dmitrii Metelkin
16.10
High
Dmitrii Metelkin

Bug Description

Please include (if relevant) in your bug report:
- exact version of Mahara: 16.10_STABLE
- operating system: Linux
- database: Postgres

Steps to replicate:

1. Install a fresh mahara.
2. Execute following SQL on DB
SELECT * FROM artefact_file_mime_types WHERE mimetype = 'video/mp4';

Expected result:
 mimetype | description
-----------+-------------
 video/mp4 | m4a
 video/mp4 | m4b
 video/mp4 | m4p
 video/mp4 | m4r
 video/mp4 | m4v
 video/mp4 | mp4
(6 rows)

Actual result:
 mimetype | description
-----------+-------------
 video/mp4 | m4v

(1 rows)

Changed in mahara:
assignee: nobody → Dmitrii Metelkin (dmitriim)
Mahara Bot (dev-mahara) wrote :

Patch for "16.10_STABLE" branch: https://reviews.mahara.org/7300

Reviewed: https://reviews.mahara.org/7298
Committed: https://git.mahara.org/mahara/mahara/commit/2c3797e2ae0a2179848765db4e7565d9f4fc91fd
Submitter: Ghada El-Zoghbi (<email address hidden>)
Branch: 16.10_STABLE

commit 2c3797e2ae0a2179848765db4e7565d9f4fc91fd
Author: Dmitrii Metelkin <email address hidden>
Date: Wed Dec 7 15:20:24 2016 +1100

Bug 1647885: Fix updating mime types on install/upgrade

Also, update mp4_video type to mp4 in the internalmedia block
configuration settings.

And, remove the id column from the artefact_file_mime_types table. It's
not required with the addition of the primary key made up of the
mimetype and description columns.

behatnotneeded

Change-Id: I607ec4aaabf8edb6fa5fa9731890a40ac62a0af0

no longer affects: mahara/16.10
Changed in mahara:
status: New → Fix Committed
importance: Undecided → High
milestone: none → 17.04.0
Robert Lyon (robertl-9) on 2016-12-08
Changed in mahara:
status: Fix Committed → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7304

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7305

Mahara Bot (dev-mahara) wrote :

Patch for "16.10_STABLE" branch: https://reviews.mahara.org/7315

Reviewed: https://reviews.mahara.org/7315
Committed: https://git.mahara.org/mahara/mahara/commit/f2c8cd57da23a0840ada0e1fd8249e6e1e9e6414
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit f2c8cd57da23a0840ada0e1fd8249e6e1e9e6414
Author: Robert Lyon <email address hidden>
Date: Fri Dec 9 17:34:47 2016 +1300

Bug 1647885: Bumping the release number as there is a db difference

Change-Id: I4d2889c1102d010b11f15290fe65afab5860f17a
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7317

Reviewed: https://reviews.mahara.org/7305
Committed: https://git.mahara.org/mahara/mahara/commit/2f1da64ea5b4a2250444668fd0cf734565a0e795
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 2f1da64ea5b4a2250444668fd0cf734565a0e795
Author: Dmitrii Metelkin <email address hidden>
Date: Wed Dec 7 15:20:24 2016 +1100

Bug 1647885: Fix updating mime types on install/upgrade

Also, update mp4_video type to mp4 in the internalmedia block
configuration settings.

And, remove the id column from the artefact_file_mime_types table. It's
not required with the addition of the primary key made up of the
mimetype and description columns.

behatnotneeded

Change-Id: I607ec4aaabf8edb6fa5fa9731890a40ac62a0af0

Robert Lyon (robertl-9) on 2016-12-11
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7316
Committed: https://git.mahara.org/mahara/mahara/commit/fb6395190ca962011fc884ea4f9b136629508c3f
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit fb6395190ca962011fc884ea4f9b136629508c3f
Author: Dmitrii Metelkin <email address hidden>
Date: Wed Dec 7 15:20:24 2016 +1100

Bug 1647885: Fix updating mime types on install/upgrade

behatnotneeded

Change-Id: I607ec4aaabf8edb6fa5fa9731890a40ac62a0af0

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7317
Committed: https://git.mahara.org/mahara/mahara/commit/b34acbbe628b4d908c4e1f0bf26388c66d940858
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit b34acbbe628b4d908c4e1f0bf26388c66d940858
Author: Dmitrii Metelkin <email address hidden>
Date: Wed Dec 7 15:20:24 2016 +1100

Bug 1647885: Fix updating mime types on install/upgrade

behatnotneeded

Change-Id: I607ec4aaabf8edb6fa5fa9731890a40ac62a0af0

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers